Homebrew on 4.4 JP 3DS with Gateway?

Discussion in '3DS - Flashcards & Custom Firmwares' started by Andim, Jan 24, 2016.

  1. Andim
    OP

    Andim GBAtemp Regular

    Member
    142
    57
    Dec 30, 2012
    Can someone point me to a way I can boot the homebrew launcher under this configuration? Can I run the cartridge-based entrypoints via gateway? Because I can't run them directly, I don't have JP copies of those games. Sliderhax does not work at all. It feels far to late to make the jump to 9.4 at this point, all my saves are on the 4.4 encryption. Unless that was cracked. (??)
     
  2. daxtsu

    daxtsu GBAtemp Guru

    Member
    5,546
    3,953
    Jun 9, 2007
    Antarctica
    If you're using an emuNAND that's on 9.0 or higher you can run the homebrew launcher, sure. Just install the homebrew launcher CIA from https://github.com/yellows8/hblauncher_loader/releases and you're good to go (just connect to wifi so it downloads the payload).

    But what are you wanting to do with homebrew, exactly? Just play emulators and such? Or are you trying to get to 9.2 to auto-boot CFW?
     
    Andim likes this.
  3. Andim
    OP

    Andim GBAtemp Regular

    Member
    142
    57
    Dec 30, 2012
    Emulators, basically. And region free cartridges. it would be nice to be on 9.2, but I would lose all my saves. Is there still no way around that?
     
  4. daxtsu

    daxtsu GBAtemp Guru

    Member
    5,546
    3,953
    Jun 9, 2007
    Antarctica
    You could use SaveDataFiler to extract saves from your games, and then use PBT/RxTools dev mode/pasta mode to update to 9.2, if you wanted to go that route for auto-booting CFW. If you don't care about auto-boot though just grab that homebrew launcher CIA and call it a day. No need to mess with save managers or anything like that.
     
    Andim likes this.
  5. Andim
    OP

    Andim GBAtemp Regular

    Member
    142
    57
    Dec 30, 2012
    Last time I checked (which was a while ago), 4.4 saves use a different encryption and are impossible to transfer forward to 9.2. Has that changed? I'm talking about gateway saves, for the most part.
     
  6. daxtsu

    daxtsu GBAtemp Guru

    Member
    5,546
    3,953
    Jun 9, 2007
    Antarctica
    When you use SaveDataFiler, it extracts raw and unencrypted* saves that you can just import again once you've updated. So while yes, 4.x and 6.x+ use different save encryptions, it's not that hard to work around it (I know some people have odd issues with extracting saves on the Gateway cart sometimes, you might be able to ask around on the forum if you run into problems with it). Just make sure you do all of your save backing up/tinkering before updating, just to be safe.


    *Some games use their own encryption on top of the encryption Nintendo provides, but this doesn't affect compatibility.
     
    Andim likes this.
  7. Andim
    OP

    Andim GBAtemp Regular

    Member
    142
    57
    Dec 30, 2012
    Thanks!
     
  8. daxtsu

    daxtsu GBAtemp Guru

    Member
    5,546
    3,953
    Jun 9, 2007
    Antarctica
    No problem. Just take your time and read carefully before taking major leaps.